﻿
body.action-panel-visible {
    padding-bottom: 60px;
}

body.menu-open #action-panel {
    left: 18rem;
}

#action-panel {
    position: fixed;
    bottom: 0px;
    left: 0px;
    height: 50px;
    display: flex;
    flex-wrap: inherit;
    align-items: center;
    justify-content: space-between;
    z-index: 1035; /* on top of footer, beneath off canvas */
    transition: .5s ease-in-out;
    right: 0px;
}

    #action-panel .action-panel-right,
    #action-panel .action-panel-left {
        height: 50px;
        display: flex;
        align-items: center;
        background: white;
        border-radius: 5px;
    }

    #action-panel .action-panel-right {
        justify-content: flex-end;
        padding-left: 10px;
        border-radius: 10px;
    }

    #action-panel .action-panel-left {
        justify-content: flex-start;
        padding-right: 10px;
        border-radius: 10px;
    }

    #action-panel .action-panel-right > * {
        margin-right: 10px;
    }

    #action-panel .action-panel-left > * {
        margin-left: 10px;
    }

    #action-panel .action-panel-right.action-panel-empty,
    #action-panel .action-panel-left.action-panel-empty {
        background: none;
        padding: 0px;
    }
